3 Commits

Author SHA256 Message Date
1cefc27d54 V8.13.064.2025.10.07
All checks were successful
🛡️ Shell Script Linting / 🛡️ Shell Script Linting (push) Successful in 1m47s
Signed-off-by: Marc S. Weidner <msw@coresecret.dev>
2025-10-07 18:41:01 +01:00
7c0a3238a7 Merge remote-tracking branch 'origin/master' 2025-10-07 18:32:52 +01:00
242f0a0159 V8.13.064.2025.10.07
Signed-off-by: Marc S. Weidner <msw@coresecret.dev>
2025-10-07 18:32:33 +01:00
5 changed files with 28 additions and 12 deletions

View File

@@ -183,14 +183,22 @@ jobs:
${CISS_PRIMORDIAL} ${CISS_PRIMORDIAL}
EOF EOF
) && chmod 0600 "${ID_OUT}" ) && chmod 0600 "${ID_OUT}"
echo "Written: ${ID_OUT}" if [[ -f "${ID_OUT}" ]]; then
echo "Written: ${ID_OUT}"
else
echo "Error: ${ID_OUT} not written."
fi
( (
cat << EOF >| "${ID_OUT_PUB}" cat << EOF >| "${ID_OUT_PUB}"
${CISS_PRIMORDIAL_PUB} ${CISS_PRIMORDIAL_PUB}
EOF EOF
) && chmod 0600 "${ID_OUT_PUB}" ) && chmod 0600 "${ID_OUT_PUB}"
echo "Written: ${ID_OUT_PUB}" if [[ -f "${ID_OUT_PUB}" ]]; then
echo "Written: ${ID_OUT_PUB}"
else
echo "Error: ${ID_OUT_PUB} not written."
fi
perl -0777 -pe ' perl -0777 -pe '
BEGIN{ BEGIN{

View File

@@ -183,14 +183,22 @@ jobs:
${CISS_PRIMORDIAL} ${CISS_PRIMORDIAL}
EOF EOF
) && chmod 0600 "${ID_OUT}" ) && chmod 0600 "${ID_OUT}"
echo "Written: ${ID_OUT}" if [[ -f "${ID_OUT}" ]]; then
echo "Written: ${ID_OUT}"
else
echo "Error: ${ID_OUT} not written."
fi
( (
cat << EOF >| "${ID_OUT_PUB}" cat << EOF >| "${ID_OUT_PUB}"
${CISS_PRIMORDIAL_PUB} ${CISS_PRIMORDIAL_PUB}
EOF EOF
) && chmod 0600 "${ID_OUT_PUB}" ) && chmod 0600 "${ID_OUT_PUB}"
echo "Written: ${ID_OUT_PUB}" if [[ -f "${ID_OUT_PUB}" ]]; then
echo "Written: ${ID_OUT_PUB}"
else
echo "Error: ${ID_OUT_PUB} not written."
fi
perl -0777 -pe ' perl -0777 -pe '
BEGIN{ BEGIN{

View File

@@ -20,7 +20,7 @@ include_toc: true
* **Added**: [lib_note_target.sh](../lib/lib_note_target.sh) * **Added**: [lib_note_target.sh](../lib/lib_note_target.sh)
* **Updated**: [lib_trap_on_err.sh](../lib/lib_trap_on_err.sh) * **Updated**: [lib_trap_on_err.sh](../lib/lib_trap_on_err.sh)
* **Updated**: [lib_trap_on_exit.sh](../lib/lib_trap_on_exit.sh) * **Updated**: [lib_trap_on_exit.sh](../lib/lib_trap_on_exit.sh)
* **Updated**: [9000-cdi-starter](../scripts/9000-cdi-starter) * **Updated**: [9999-cdi-starter](../scripts/9999-cdi-starter)
* **Updated**: [9980_usb_guard.chroot](../config/hooks/live/9980_usb_guard.chroot) * **Updated**: [9980_usb_guard.chroot](../config/hooks/live/9980_usb_guard.chroot)
* **Updated**: [9998_sources_list_bookworm.chroot](../config/hooks/live/9998_sources_list_bookworm.chroot) * **Updated**: [9998_sources_list_bookworm.chroot](../config/hooks/live/9998_sources_list_bookworm.chroot)
* **Updated**: [9998_sources_list_trixie.chroot](../config/hooks/live/9998_sources_list_trixie.chroot) * **Updated**: [9998_sources_list_trixie.chroot](../config/hooks/live/9998_sources_list_trixie.chroot)
@@ -32,7 +32,7 @@ include_toc: true
## V8.13.048.2025.10.06 ## V8.13.048.2025.10.06
* **Updated**: Debian 13 LIVE ISO workflows to use Kernel: ``6.16.3+deb13-amd64`` * **Updated**: Debian 13 LIVE ISO workflows to use Kernel: ``6.16.3+deb13-amd64``
* **Updated**: Debian 13 LIVE ISO workflows to use argument: ``--cdi`` * **Updated**: Debian 13 LIVE ISO workflows to use argument: ``--cdi``
* **Updated**: [9000-cdi-starter](../scripts/9000-cdi-starter) * **Updated**: [9000-cdi-starter](../scripts/9999-cdi-starter)
* **Removed**: [1024_git_clone_ciss_debian_installer.chroot](../.archive/1024_git_clone_ciss_debian_installer.chroot) * **Removed**: [1024_git_clone_ciss_debian_installer.chroot](../.archive/1024_git_clone_ciss_debian_installer.chroot)
## V8.13.032.2025.10.03 ## V8.13.032.2025.10.03

View File

@@ -36,9 +36,9 @@ cdi() {
fi fi
cp "${VAR_WORKDIR}/scripts/9000-cdi-starter" "${VAR_HANDLER_BUILD_DIR}/config/includes.chroot/usr/lib/live/config/9000-cdi-starter" cp "${VAR_WORKDIR}/scripts/9999-cdi-starter" "${VAR_HANDLER_BUILD_DIR}/config/includes.chroot/usr/lib/live/config/9999-cdi-starter"
chmod 0750 "${VAR_HANDLER_BUILD_DIR}/config/includes.chroot/usr/lib/live/config/9000-cdi-starter" chmod 0750 "${VAR_HANDLER_BUILD_DIR}/config/includes.chroot/usr/lib/live/config/9999-cdi-starter"
chown root:root "${VAR_HANDLER_BUILD_DIR}/config/includes.chroot/usr/lib/live/config/9000-cdi-starter" chown root:root "${VAR_HANDLER_BUILD_DIR}/config/includes.chroot/usr/lib/live/config/9999-cdi-starter"
declare tmp_entry declare tmp_entry
tmp_entry="$(mktemp)" tmp_entry="$(mktemp)"

View File

@@ -14,8 +14,8 @@ set -Ceuo pipefail
umask 0077 umask 0077
install -d -m 0755 /run/lock install -d -m 0755 /run/lock
exec 9> /run/lock/9000-cdi-starter.lock exec 9> /run/lock/9999-cdi-starter.lock
flock -n 9 || { echo "9000-cdi-starter already running. Exiting."; exit 0; } flock -n 9 || { echo "9999-cdi-starter already running. Exiting."; exit 0; }
####################################### #######################################
# Wait for network connectivity by looping. # Wait for network connectivity by looping.
@@ -41,7 +41,7 @@ main() {
install -d -m 0700 /root/.ciss/cdi/log install -d -m 0700 /root/.ciss/cdi/log
# shellcheck disable=SC2155 # shellcheck disable=SC2155
declare -r log="/root/.ciss/cdi/log/9000-cdi-starter_$(date +'%F_%H-%M-%S').log" declare -r log="/root/.ciss/cdi/log/9999-cdi-starter_$(date +'%F_%H-%M-%S').log"
# shellcheck disable=SC2312 # shellcheck disable=SC2312
exec > >(tee -a "${log}") 2>&1 exec > >(tee -a "${log}") 2>&1